petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecGetLocalSize

Returns the number of elements of the vector stored in local memory. This routine may be implementation dependent, so use with care.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetLocalSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

x -the vector

### Output Parameter

size -the length of the local piece of the vector

### See Also

VecGetSize()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex21.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html

### Implementations

VecGetLocalSize_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages